Retrieve information about a file that could be either a working file or an output file. Returns detailed file metadata and properties.
GET
/data/files/{file_id}
curl
curl -X GET "http://api.example.com/data/files/a24a6ea4-ce75-4665-a070-57453082c25" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
import requests
url = "http://api.example.com/data/files/a24a6ea4-ce75-4665-a070-57453082c25"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
params = {}
payload = None
response = requests.get(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request GET 'http://api.example.com/data/files/a24a6ea4-ce75-4665-a070-57453082c25' \
--header "Authorization: $API_KEY"
Response examples (200)
{
"id": "b35b7fb5-df86-5776-b181-68564193d36",
"name": "main",
"path": "/project/asset/working/main_v001.blend",
"revision": 1,
"updated_at": "2023-01-01T12:00:00Z",
"task_id": "c46c8gc6-eg97-6887-c292-79675204e47",
"entity_id": "d57d9hd7-fh08-7998-d403-80786315f58"
}